jQuery(document).ready(function ($) {
  $("a").on("click mousedown contextmenu", function (event) {
    var href = $(this).attr("href");
    var target = $(this).attr("target");

    if (
      href &&
      href.indexOf(location.hostname) === -1 &&
      !href.startsWith("#") &&
      !href.startsWith("mailto:") &&
      !href.startsWith("tel:")
    ) {
      var data = {
        action: "handle_outbound_click",
        href: href,
        target: target,
        OmniItemsOrder: scriptParams.OmniItemsOrder,
      };

      if (
        event.type === "click" ||
        event.type === "mousedown" ||
        event.type === "contextmenu"
      ) {
        if (event.type === "mousedown" && event.which !== 2) {
          return;
        }

        jQuery.post(scriptParams.ajaxUrl, {
          action: "handle_outbound_click",
          payload: data,
        });

        if (event.type === "click" && (!target || target !== "_blank")) {
          event.preventDefault();
          setTimeout(function () {
            window.location.href = href;
          }, 200);
        }
      }
    }
  });
});
